Create a snapshot policy
Creates a snapshot policy, defining the rules for capturing and retaining snapshots of your data. Use this to establish automated snapshot schedules tailored to your data protection needs.
HTTP method and endpoint
POST /azure/ha/working-environments/{workingEnvironmentId}/snapshot-policy
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
workingEnvironmentId |
string |
path |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
schedules |
True |
Snapshot policy schedules |
|
snapshotPolicyName |
string |
False |
Snapshot policy name |
Example request
{
"schedules": [
{
"retention": 0,
"scheduleType": "string"
}
],
"snapshotPolicyName": "string"
}
Error
Status: Default, Default response
Definitions
See Definitions
SnapshotPolicyScheduleRequest
| Name | Type | Required | Description |
|---|---|---|---|
retention |
integer |
True |
Snapshot policy retention |
scheduleType |
string |
True |
Snapshot policy schedule type |